/*
 * /////////////////////////////////////////////////////////////////////////////////
 * //
 * // Copyright <2015>-<2016> Avaya Inc. All Rights Reserved.
 * //
 * // Usage of this source is bound to the terms described
 * // in assets/Licence.txt
 * //
 * // Avaya - Confidential & Proprietary. Use pursuant to your signed agreement
 * // or Avaya Policy
 * //
 * /////////////////////////////////////////////////////////////////////////////
 */

package com.avaya.odonnell3.AndroidChatTemplate_2_3.model;

import com.fasterxml.jackson.annotation.JsonProperty;


public class IsTyping {
    @JsonProperty("method")
    private String method = "isTyping";
    @JsonProperty("isTyping")
    private Boolean typingTrue;

    public IsTyping() {
    }
    public IsTyping(Boolean typingTrue) {
        this.typingTrue = typingTrue;
    }

    public String getMethod() {
        return method;
    }

    public void setMethod(String method) {
        this.method = method;
    }

    public Boolean getTypingTrue() {
        return typingTrue;
    }

    public void setTypingTrue(Boolean typingTrue) {
        this.typingTrue = typingTrue;
    }

    @Override
    public String toString() {
        return "IsTyping{" +
                "method='" + method + '\'' +
                ", typingTrue=" + typingTrue +
                '}';
    }
}
